package com.fzm.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.common.entity.CopyrightApply;
import com.fzm.common.entity.dto.CopyrightDTO;
import com.fzm.common.entity.vo.CopyrightVo;

import java.util.List;

/**
 * @author tangtuo
 * @date 2021/12/9 11:40
 */
public interface CopyrightApplyService extends IService<CopyrightApply> {

    /**
     * 提交版权申请
     *
     * @param copyrightDTO
     * @return
     */
    Integer submit(CopyrightDTO copyrightDTO);

    /**
     * 查询用户的版权登记列表
     *
     * @param userId
     * @param state
     * @return
     */
    List<CopyrightApply> list(Integer userId, Integer state);

    /**
     * 驳回
     *
     * @param id
     * @return
     */
    Boolean reject(Integer id);


    /**
     * 删除记录
     *
     * @param id
     * @return
     */
    Boolean delete(Integer id);

    /**
     * 获取详情
     *
     * @param id
     * @return
     */
    CopyrightVo getDetail(Integer id);
}
